<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "homeSlider".
 *
 * @property integer $id
 * @property string $images
 * @property string $smallText
 * @property string $bigText
 * @property string $links
 */
class HomeSlider extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'homeSlider';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['images', 'smallText', 'bigText'], 'required'],
            [['images', 'links'], 'string', 'max' => 500],
			[['images'], 'file', 'extensions'=>'jpg, gif, png'],
			[['images'],  'safe'],
            [['smallText'], 'string', 'max' => 200],
            [['bigText'], 'string', 'max' => 300]
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'images' => 'Images',
            'smallText' => 'Small Text',
            'bigText' => 'Big Text',
            'links' => 'Links',
        ];
    }
}
